# stripcslashes

(PHP 4, PHP 5, PHP 7)

stripcslashes — Un-quote string quoted with addcslashes()

### Description

stripcslashes ( string `$str` ) : string

Returns a string with backslashes stripped off. Recognizes C-like \n, \r ..., octal and hexadecimal representation.

### Parameters

`str`

  The string to be unescaped.

### Return Values

Returns the unescaped string.

### See Also

- addcslashes() - Quote string with slashes in a C style